Subject: Re: bug#20757: "unable to fork" on armhf

From: Efraim Flashner <[email-masked]>
Date: Mon, 8 Jun 2015 10:17:01 +0300

On Sun, 07 Jun 2015 21:44:08 +0200
[email-masked] (Ludovic Courtès) wrote:

> Efraim Flashner <[email-masked]> skribis:
> 
> > I have an armhf marsboard that I'm trying to run guix on top of debian. I
> > started by flashing a debian wheezy image, stripping out most of the
> > packages, and upgrading to jessie. I installed using the 0.8.2 armhf
> > binary. `guix pull` failed with the error "unable to fork: Invalid
> > argument", and likewise `guix build hello` also failed.
> >
> > I ran `sudo strace -o log /root/.guix-profile/bin/guix-daemon
> > --build-users-group=guix-builder &`
> 
> Could you add -f so that child processes are traced?
> 
>   sudo strace -f -o log /root/.guix-profile/bin/guix-daemon \
>      --build-users-group=guix-builder &

the log file came out a bit big, so I've hosted it here:
https://flashner.co.il/~efraim/log

> The main process doesn’t do the interesting bits.
> 
> TIA!
> 
> Ludo’.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted